//-----------------------------------------------------------------------------
#ifndef DevDataH
#define DevDataH DevDataH
//-----------------------------------------------------------------------------
#include <vector>
#include <mvIMPACT_CPP/mvIMPACT_acquire.h>

class PropTree;

typedef std::vector<PropTree*> PropTreeVector;

//------------------------------------------------------------------------------
struct DeviceData
//------------------------------------------------------------------------------
{	
	DeviceData( PropTree *pDev ) : pDeviceTree(pDev), pFuncInterface(0),
		pStatistics(0), pCaptureThread(0), boWasLive(false), lockedRequest(INVALID_ID) {}
	PropTree*								pDeviceTree;
	PropTreeVector							vDriverTrees;
	mvIMPACT::acquire::FunctionInterface*	pFuncInterface;
	mvIMPACT::acquire::Statistics*			pStatistics;
	CaptureThread*							pCaptureThread;
	bool									boWasLive;
	int										lockedRequest;
};

//------------------------------------------------------------------------------

#endif // DevDataH
