#! /bin/make
##############################################
# Makefile for the 'wxPropGrid' module,
# == DO NOT CHANGE !!! ==
##############################################
#-----------------------------------------
DEST:=$(shell basename `pwd`)

#-----------------------------------------
# needed by dynamic libs
#-----------------------------------------
MAJOR=$(GPV_MAJOR)
MINOR=$(GPV_MINOR)
BUILD=$(GPV_BUILD)

#-----------------------------------------
MODULE_NAME=wxPropGrid
LIB_NAME=lib$(MODULE_NAME)

#-----------------------------------------
ROOT_PATH=../..
WORK=$(ROOT_PATH)/..
SYSTEM_INC_PATH=$(WORK)/common/System
SYSTEM_PATH=$(SYSTEM_INC_PATH)/linux

#-----------------------------------------
vpath %.cpp ..

#-----------------------------------------
SOURCES=									\
	advprops.cpp manager.cpp odcombo.cpp	\
	propgrid.cpp props.cpp

#-----------------------------------------
OBJECTS= 									\
	advprops.o manager.o odcombo.o			\
	propgrid.o props.o

#-----------------------------------------
HEADERS=*.h

#-----------------------------------------
# You may need to adapt this path for your system.
# By default uses "which" except on a mvBL or if a special purpose-built wxWidgets exists
#-----------------------------------------
ifeq ($(DEST),ppc603e)
	WX_CONF_PATH=$(GCCPATH)/bin/
	WX_CONF_TOOL=$(WX_CONF_PATH)wx-config
	ADD_LIBS=							\
		-lz -lX11 -lXext -lpng -ljpeg
else
	# check for specially-built static wxWidgets
	WX_SPECIAL_CONF_TOOL:=$(shell ls /opt/wx/2.6/$(DEST)/bin/wx-config 2>/dev/null)
	ifneq ($(WX_SPECIAL_CONF_TOOL),)
		WX_CONF_TOOL:=$(WX_SPECIAL_CONF_TOOL)
	else
		# use the system's wxWidgets
		WX_CONF_TOOL:=$(shell which wx-config-2.6 2>/dev/null)
		ifeq ($(WX_CONF_TOOL),)
			WX_CONF_TOOL:=$(shell which wx-config 2>/dev/null)
		endif
	endif
	ADD_LIBS=
endif

#-----------------------------------------
WXRELEASE=$(shell $(WX_CONF_TOOL) --release)
WXLIBFLAGS=$(shell $(WX_CONF_TOOL) --unicode=no --libs)
WXCXXFLAGS=$(shell $(WX_CONF_TOOL) --unicode=no --cxxflags)

#-----------------------------------------
CPPFLAGS_1=									\
	$(WXCXXFLAGS)

#-----------------------------------------
USR_LIBS=									\
	$(WXLIBFLAGS)

#-----------------------------------------
ifneq ($(DEST),ppc603e)
	LDOPT_1=								\
		$(WXLIBFLAGS)
endif

#-----------------------------------------
USE_LN_LIBS=								\

USER_AR_LIB_LIST=$(USE_LN_LIBS)

#-----------------------------------------
DO_DYNAMIC_LIBS=y

#-----------------------------------------
DO_STATIC_LIBS=n

##############################################
# compiler
# will be set in '$(SYSTEM_PATH)/Makefile.all.inc'
# set	$(CC) 	- for *.c files
# or	$(CXX)	- for *.cpp files
#-----------------------------------------
CTYPE=$(CXX)

##############################################
#-----------------------------------------
include $(SYSTEM_PATH)/Makefile.mod.inc

#-----------------------------------------

